Read an account balance by ID

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://rest-api.developer.24sevenoffice.com/doc/v1/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "v1 MCP server": {
    "url": "https://rest-api.developer.24sevenoffice.com/doc/v1/mcp"
  }
}

Close
GET /accountbalances/{id}

Read a list of account balances with monthly changes for a defined period for a specific account identified by its unique ID.

Headers

  • Authorization string Required

    Authorization header

Path parameters

  • id integer Required

Query parameters

  • dateFrom string(date) Required

    The starting date from which balances will be retrieved.

  • dateTo string(date) Required

    The ending date until which balances will be retrieved.

  • periods string

    Specifies the periods for which the balances will be retrieved.

    Format should match the following pattern: ^\d{4}-\d{2}-\d{2}Z?(,\d{4}-\d{2}-\d{2}Z?)*$.

  • type string

    Specifies the type of data to be retrieved.

    Values are Date or Period. Default value is Date.

  • keepIncoming boolean

    Indicates whether to include incoming amounts in the response. Default is false.

    Default value is false.

Responses

  • Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
    Hide response attributes Show response attributes object
    • account object

      Information about the account for which the balances belong to.

      Hide account attributes Show account attributes object
      • id integer

        A unique identifier for the account within Finago Office accounting module.

      • number integer

        The unique number that indicates which type of account it belongs to.

      • name string

        The human-readable name that describes the purpose or nature of the account.

    • balances array[object]

      The monthly change in balance for an account during a specific period.

      Hide balances attributes Show balances attributes object
      • date string(date)

        The date corresponding to the balance change.

      • opening number

        The opening balance of the account for the specified period.

      • closing number

        The closing balance of the account for the specified period.

      • change number

        The change in balance for the account during the specified period.

    Hide response attributes Show response attributes object
    • _embedded object
      Hide _embedded attribute Show _embedded attribute object
      • records array[object]
        Hide records attributes Show records attributes object
        • account object

          Information about the account for which the balances belong to.

          Hide account attributes Show account attributes object
          • id integer

            A unique identifier for the account within Finago Office accounting module.

          • number integer

            The unique number that indicates which type of account it belongs to.

          • name string

            The human-readable name that describes the purpose or nature of the account.

        • balances array[object]

          The monthly change in balance for an account during a specific period.

          Hide balances attributes Show balances attributes object
          • date string(date)

            The date corresponding to the balance change.

          • opening number

            The opening balance of the account for the specified period.

          • closing number

            The closing balance of the account for the specified period.

          • change number

            The change in balance for the account during the specified period.

    • beginningAt string(date)
    • endingAt string(date)
    • fiscals array[object]
      Hide fiscals attributes Show fiscals attributes object
      • startingDate string(date)
      • endingAt string(date)
GET /accountbalances/{id}
curl \
 --request GET 'https://rest.api.24sevenoffice.com/v1/accountbalances/{id}?dateFrom=2026-05-04&dateTo=2026-05-04' \
 --header "Authorization: string"
Response examples (200)
# Headers
Access-Control-Allow-Origin: string
Access-Control-Allow-Credentials: string
X-Trace-Id: string

# Payload
[
  {
    "account": {
      "id": 1000001,
      "number": 1900,
      "name": "Cash, NOK"
    },
    "balances": [
      {
        "date": "2024-01-01",
        "opening": 50000,
        "closing": 55000,
        "change": 5000
      }
    ]
  }
]